[PATCH] Don't force deb architecture on universal packages

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



$debarch is basically always set so the Architecture field from
debian/control is ignored. While we don't really care for most packages
(they have Architecture: any or some specific $arch), this breaks the
firmware package as it becomes an arch-dependent .deb, ignoring its
Architecture: all entry.

It's apparently broken by 10f26fa64200095af0e5d80a980e47877865e4b7.

Signed-off-by: Grzegorz Nosek <root@xxxxxxxxxxxxxx>
---

Note: this is based on 3.2 as that's what I'm currently using. I'll
clean the two-level if and rebase onto whatever is required when the
general idea is accepted.

Best regards,
 Grzegorz Nosek

 scripts/package/builddeb |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 3c6c0b1..ef71b80 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -57,8 +57,10 @@ create_package() {
 	if [ -n "$KBUILD_DEBARCH" ] ; then
 		debarch="$KBUILD_DEBARCH"
 	fi
-	if [ -n "$debarch" ] ; then
-		forcearch="-DArchitecture=$debarch"
+	if [ -n "$debarch" ]; then
+		if ! grep -qFx "Architecture: all" debian/control ; then
+			forcearch="-DArchitecture=$debarch"
+		fi
 	fi

 	# Create the package
-- 
1.7.2.3
--
To unsubscribe from this list: send the line "unsubscribe linux-kbuild" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Index of Archives]     [Linux&nblp;USB Development]     [Linux Media]     [Video for Linux]     [Linux Audio Users]     [Yosemite Secrets]     [Linux Kernel]     [Linux SCSI]

  Powered by Linux